/**
 * Title:        Can Monitor Graphical Client<p>
 * Description:  <p>
 * Copyright:    Copyright (c) Jaap van Bergeijk<p>
 * Company:      Wageningen University<p>
 * @author Jaap van Bergeijk
 * @version 1.0
 */
package com.wur.can;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


public class CanMonitorClientSetupDialog extends JDialog {
  JPanel contentPane = new JPanel();
  JPanel TopPanel = new JPanel();
  JTabbedPane jTabbedPane1 = new JTabbedPane();
  JPanel jPanel2 = new JPanel();
  JPanel jPanel1 = new JPanel();
  JTextField jTextField1 = new JTextField();
  JLabel jLabel1 = new JLabel();
  BorderLayout borderLayout2 = new BorderLayout();
  BorderLayout borderLayout3 = new BorderLayout();
  JPanel BottomPanel = new JPanel();
  JButton jButton1 = new JButton();
  JButton jButton2 = new JButton();

  public CanMonitorClientSetupDialog(Frame parent) {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    contentPane.setEnabled(false);
    contentPane.setMinimumSize(new Dimension(300, 300));
    contentPane.setPreferredSize(new Dimension(300, 300));
    contentPane.setLayout(borderLayout3);
    this.setVisible(true);
    this.setTitle("CAN Client Setup");
    this.setModal(true);
    this.setSize(300,300);
    jTextField1.setText("10.31.7.100");
    jTextField1.setPreferredSize(new Dimension(100, 21));
    jTextField1.setMinimumSize(new Dimension(100, 21));
    jLabel1.setText("Server IP address");
    TopPanel.setLayout(borderLayout2);
    jButton1.setText("OK");
    jButton1.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        jButton1_actionPerformed(e);
      }
    });
    jButton1.setToolTipText("");
    jButton2.setText("Cancel");
    jButton2.setToolTipText("");
    this.getContentPane().add(contentPane, null);
    contentPane.add(TopPanel, BorderLayout.CENTER);
    TopPanel.add(jTabbedPane1, BorderLayout.CENTER);
    jTabbedPane1.add(jPanel1, "Server");
    jPanel1.add(jLabel1, null);
    jPanel1.add(jTextField1, null);
    jTabbedPane1.add(jPanel2, "jPanel2");
    contentPane.add(BottomPanel, BorderLayout.SOUTH);
    BottomPanel.add(jButton1, null);
    BottomPanel.add(jButton2, null);
  }

  void jButton1_actionPerformed(ActionEvent e) {
    this.dispose();
  }
}